package com.brilliance.isc.esb.newmodel.tasks;

import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Setter
@Getter
public class Taskmod<Param extends BaseParam> {
    /**
     * 执行器信息
     */
    private Extor extor;
    /**
     * 任务信息
     */
    private Task task;
    private List<Extor> extors;
    private List<Task> tasks;
    /**
     * 执行器参数
     */
    private BaseParam param;

    public void reset(){
        if(extor==null){
            extor=new Extor();
        }
        if(task==null){
            task=new Task();
        }
        if(extors == null){
            extors=new ArrayList<>();
        }
        if(tasks == null){
            tasks=new ArrayList<>();
        }
    }
}
